Get Supported Asset Information¶
This endpoint will return full list of coins if cactus_symbol is not provided.
Endpoint¶
Request¶
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| cactus_symbol Optional | String | Cactus token name Allowed values: Refer to Coin Name (API) column in Supported Token |
| symbol Optional | String | Common token name Allowed values: Refer to Token Name column in Supported Token |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Array[Object] | Array of coin information (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| coin_showname | String | Display name or ticker symbol of the token. |
| coin_fullname | String | The full name of the token. |
| cactus_symbol | String | Symbol of the asset as listed on cactus. |
| symbol | String | Symbol of the asset. |
| icon | String | Coin token icon image. |
| chain | String | The full name of the the asset chain. |
| cactus_chain | String | The display name of the asset chain as listed on cactus. |
| decimals | String | Number of decimals the asset has. |
| contract_address | String | Contract address for the asset. |
| fingerprint | String | A user-friendly asset identifier used to uniquely identify native tokens on the Cardano (ADA) blockchain. |
| deposit_block_number | String | Deposit height. |
| confirm_block_number | String | Deposit security height. |
| main_coin | Boolean | Specifies whether the token is a chain’s primary asset. |
| support_mining | Boolean | Whether mining is supported. |
| mining_confirm_block_number | String | Confirmation block height for mining. |
| support_prime_hot | Boolean | Indicates whether the token is available on Warm Wallet. |
| support_prime_cold | Boolean | Indicates whether the token is available on the Cold Wallet. |
| support_defi | Boolean | Indicates whether the token is compatible with DeFi protocols. |
| support_oasis | Boolean | Indicates whether the token is supported on Cactus Oasis. |
| support_evm | Boolean | Whether the token is EVM-compatible. |
Response Example¶
{
"code": 0,
"message": "",
"data": [
{
"coin_showname": "USDT",
"coin_fullname": "Tether USD",
"cactus_symbol": "USDTERC",
"symbol": "USDTERC",
"icon": "https://custody-publicresource.s3.ap-southeast-1.amazonaws.com/icon/USDT.png",
"chain": "Ethereum(ERC20)",
"cactus_chain": "ETH",
"decimals": "6",
"contract_address": "0x53C3B91E547d18C42c997280519851D3596BEdCa",
"fingerprint": null,
"deposit_block_number": "1",
"confirm_block_number": "64",
"main_coin": false,
"support_mining": false,
"mining_confirm_block_number": null,
"support_prime_hot": false,
"support_prime_cold": false,
"support_defi": false,
"support_oasis": false,
"support_evm": false
}
],
"successful": true
}